# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov	%{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define module	plyvel

Name:		python-%{module}
Version:	0.9
Release:	%mkrel 2
Summary:	Python interface to the LevelDB embedded database library
Group:		Development/Python
License:	BSD
URL:		https://github.com/wbolster/plyvel
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
Patch0:		0001-py.test.mark.skipif-wants-str-not-bool.patch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(pytest) >= 2.8
BuildRequires:	pythonegg(2)(cython)

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(pytest) >= 2.8
BuildRequires:	pythonegg(3)(cython)

BuildRequires:	pkgconfig(leveldb)

%description
Plyvel is a fast and feature-rich Python interface to the LevelDB embedded
database library. It has a rich feature set, high performance, and a friendly
Pythonic API.

#------------------------------------------------

%package -n	python2-%{module}
Summary:	Python 2 interface to the LevelDB embedded database library
Group:		Development/Python

%description -n	python2-%{module}
Plyvel is a fast and feature-rich Python 2 interface to the LevelDB embedded
database library. It has a rich feature set, high performance, and a friendly
Pythonic API.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 interface to the LevelDB embedded database library
Group:		Development/Python

%description -n	python3-%{module}
Plyvel is a fast and feature-rich Python 3 interface to the LevelDB embedded
database library. It has a rich feature set, high performance, and a friendly
Pythonic API.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
cython --cplus --fast-fail --annotate plyvel/_plyvel.pyx
%py2_build

pushd %{py3dir}
python3-cython --cplus --fast-fail --annotate plyvel/_plyvel.pyx
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%check
%define enable_tests_python2 1
%if %{enable_tests_python2}
%{__python2} setup.py build_ext --inplace
py.test-%{python2_version}
%endif
%define enable_tests_python3 1
%if %{enable_tests_python3}
pushd %{py3dir}
%{__python3} setup.py build_ext --inplace
py.test-%{python3_version}
popd
%endif

%files -n python2-%{module}
%doc README.rst NEWS.rst
%license LICENSE.rst
%{python2_sitearch}/%{module}/
%{python2_sitearch}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst NEWS.rst
%license LICENSE.rst
%{python3_sitearch}/%{module}/
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jan 01 2017 akien <akien> 0.9-2.mga6
+ Revision: 1079436
- Rebuild for leveldb 1.19

* Wed Oct 19 2016 daviddavid <daviddavid> 0.9-1.mga6
+ Revision: 1062194
- imported package python-plyvel

